Package Details: firebase-tools 8.2.0-1

Git Clone URL: https://aur.archlinux.org/firebase-tools.git (read-only, click to copy)
Package Base: firebase-tools
Description: The Firebase Command Line Tools
Upstream URL: https://firebase.google.com/docs/cli/
Licenses: MIT
Conflicts: nodejs-firebase-tools
Provides: nodejs-firebase-tools
Replaces: nodejs-firebase-tools
Submitter: crasm
Maintainer: rdoursenaud
Last Packager: rdoursenaud
Votes: 8
Popularity: 0.001491
First Submitted: 2017-03-24 00:42
Last Updated: 2020-04-27 19:53

Latest Comments

aashiks commented on 2020-06-23 08:53

bumping the version to 8.4.1 and the sha256sums to dfc15bfb0710069e460a34c3df0401ecfef6e1bb2bb1da0795d7284be870a0c3 works.

rdoursenaud commented on 2020-04-27 19:54

@toddejohnson Thanks for the suggestion. I have added the fixes to this release.

toddejohnson commented on 2020-04-20 18:03

Why does this have a bunch of 777 files?

https://wiki.archlinux.org/index.php/Node.js_package_guidelines looks to have a fix.

sysroot commented on 2019-07-29 17:42

To help if you want I can be the new maintainer

sysroot commented on 2019-04-18 06:40

Please update!

Maintainer: Raphaël Doursenaud rdoursenaud@free.fr
Previous Maintainer: crasm crasm@firebase-tools.aur.yooz4sio.vczf.io
PKGBUILD structure copied from grunt-cli package

pkgname=firebase-tools pkgver=6.6.0 pkgrel=0 pkgdesc="The Firebase Command Line Tools" arch=('any') url="https://firebase.google.com/docs/cli/" license=('MIT') depends=('nodejs') makedepends=('npm') provides=('nodejs-firebase-tools') conflicts=('nodejs-firebase-tools') replaces=('nodejs-firebase-tools') install=${pkgname}.install source=("https://registry.npmjs.org/${pkgname}/-/${pkgname}-${pkgver}.tgz") noextract=(${pkgname}-${pkgver}.tgz) sha256sums=('dda41d80422eef3dfc6838755c7ca85c5e6cf4e2be5ae84a08887432a66c8b21')

package() { npm install -g --user root --prefix "${pkgdir}/usr" "${srcdir}/${pkgname}-${pkgver}.tgz" mkdir -p "${pkgdir}/usr/share/licenses/${pkgname}" ln -s "/usr/lib/node_modules/${pkgname}/LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/" }

crasm commented on 2017-09-02 01:47

I can, but I'm also not doing any sort of testing. It doesn't take long to bump the version and hash, but if I'm not using firebase and there's a breaking change, it'll be time-consuming to update the package.

sylveon commented on 2017-09-01 20:41

Even if you aren't actively using firebase, can't you just update the version number when someone marks it as outdated?

crasm commented on 2017-08-29 03:32

I'm not actively using firebase anymore, so if anyone wants to take over the package, shoot me an email (see PKGBUILD).